Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452594 - Do we want to support user_friendly_names going forward
Summary: Do we want to support user_friendly_names going forward
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: beta
: ---
Assignee: Bryn M. Reeves
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 22:55 UTC by Ritesh Raj Sarraf
Modified: 2010-03-10 18:41 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 19:36:08 UTC


Attachments (Terms of Use)

Description Ritesh Raj Sarraf 2008-06-23 22:55:51 UTC
Description of problem:
Multipath currently provides 2 options for accessing the LUN on Linux
* Access by Device-ID
* Access by user_friendly_names

While the latter option is more convenient, it comes with its own share of 
trouble. Eg, In environments like Clusters, initrd et cetera.

What is Red Hat's official statement on user_friendly_names? Should we support 
it going forward or should we just stick to accessing LUNs by Device IDs?

Comment 1 Bryn M. Reeves 2008-07-09 10:36:28 UTC
I think there is scope for improving the feature (e.g. easing synchronising the
alias list between hosts with a shared view of storage, removing aliases that
have been permanently deleted without manual editing of the bindings file etc.),
but I think removing the option would make a lot of current users unhappy. It is
also a requirement for the existing multipath boot support in RHEL5.



Comment 3 Troels Arvin 2010-03-10 18:41:16 UTC
I really wish that this feature request could be re-opened with an eye to RHEL 6.

The so-called "user friendly names" feature is highly user un-friendly: It adds another layer of naming to an already overwhelming mix of /dev/sdX, /dev/dm-X, /dev/mpath/*, and LVM. That way, it makes it even harder to determine where I/Os go for a particular mountpoint.

And it's well known that it causes trouble in clustered environments.

And it adds extra, unneeded local state (in /var/lib/multipath.

And it's not the default config value. There should be clear and solid reasons for overriding config defaults, IMHO, and I can find no good reason for setting user_friendly_names to yes.


Note You need to log in before you can comment on or make changes to this bug.